#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);

    int n, m, sreca = 0;
    cin >> n >> m;
    int a[m], x[n], b[m]; //a je broj prvi lik u nekom poznanstvu, b drugi lik u tom istom poznanstvu pod uslovom da je m isto, a x je druzeljubivost nekog lika, i je brojac
    for (int i = 0; i < n; i++)
    {
        cin >> x[i];
    }
    for (int i = 0; i < m; i++)
    {
        cin >> a[i] >> b[i];
        if (x[a[i]-1] >= 0 && x[b[i]-1] >= 0)
            sreca += x[a[i]-1] + x[b[i]-1];
        else if (x[a[i]-1] < 0 && x[b[i]-1] < 0)
            sreca -= x[a[i]-1] + x[b[i]-1];
        else
        {
            if(x[a[i]-1] >= 0 && x[b[i]-1] < 0)
            {
                sreca += max(x[a[i]-1], abs(x[b[i]-1])) - min(x[a[i]-1], abs(x[b[i]-1]));
            }
            else if (x[a[i]-1] < 0 && x[b[i]-1] >= 0)
            {
                sreca += max(abs(x[a[i]-1]), x[b[i]-1]) - min(abs(x[a[i]-1]), x[b[i]-1]);
            }

        }
    }
    cout << sreca;
    return 0;
}